Bug 1421228 - using yaml to register to satellite is yeilding: Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned
Summary: using yaml to register to satellite is yeilding: Property error: resources.No...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 10.0 (Newton)
Assignee: Angus Thomas
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 16:26 UTC by Steve Reichard
Modified: 2018-07-23 14:50 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-23 14:50:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Steve Reichard 2017-02-10 16:26:16 UTC
Description of problem:

I have attempted to register my overcloud nodes to my satellite but have been getting the subject error.

I've copied the rhel-registration directory to my ~/mytemplates and updated my environment file to include the following in the resource registrysction:

  # Register overcloud nodes
  OS::TripleO::NodeExtraConfig: /home/stack/mytemplates/rhel-registration/rhel-registration.yaml

 and set the following values in parameter defaults:
    # RHEL node registration via satellite
    rhel_reg_activation_key: "se-rhel7-osp10"
    rhel_reg_org: "Systems_Engineering"
    #rhel_reg_pool_id: "1a85f9223e3d5e43013e3d6e8ff506fd"
    rhel_reg_method: "satellite"
    rhel_reg_sat_url: "http://se-sat6.cloud.lab.eng.bos.redhat.com"
    rhel_reg_sat_repo: "rhel-7-server-satellite-tools-6.2-rpms"

And after seeing the errors I added teh following parameter wiht similar results:
    rhel_reg_auto_attach: "true"


Upon deploying the overcloud I got errors:

"GET /v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/events?marker=f679ab6b-c841-409d-ad20-b1ca29a75dcf&nested_depth=2&sort_dir=asc HTTP/1.1" 200 19782
RESP: [200] Content-Type: application/json; charset=UTF-8 Content-Length: 19782 X-Openstack-Request-Id: req-7d344f6f-bc2a-4972-a8ea-9db84fb682fd Date: Thu, 09 Feb 2017 22:37:23 GMT 
RESP BODY: {"events": [{"resource_name": "Controller", "event_time": "2017-02-09T22:36:55Z", "links": [{"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/Controller/events/898052ef-bd6b-4087-8495-df0e42a0507e", "rel": "self"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/Controller", "rel": "resource"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "stack"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "root_stack"}], "logical_resource_id": "Controller", "resource_status": "CREATE_IN_PROGRESS", "resource_status_reason": "state changed", "physical_resource_id": "ospha-Controller-yrz7ktmo63sw", "id": "898052ef-bd6b-4087-8495-df0e42a0507e"}, {"resource_name": "ospha-Controller-yrz7ktmo63sw", "event_time": "2017-02-09T22:36:58Z", "links": [{"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Controller-yrz7ktmo63sw/1e8271a6-7cd7-435c-b9a2-1928c8db4d33/resources/ospha-Controller-yrz7ktmo63sw/events/46d3bdc7-4ae9-45a4-b7df-8ac5f8dadc77", "rel": "self"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Controller-yrz7ktmo63sw/1e8271a6-7cd7-435c-b9a2-1928c8db4d33/resources/ospha-Controller-yrz7ktmo63sw", "rel": "resource"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Controller-yrz7ktmo63sw/1e8271a6-7cd7-435c-b9a2-1928c8db4d33", "rel": "stack"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "root_stack"}], "logical_resource_id": "ospha-Controller-yrz7ktmo63sw", "resource_status": "CREATE_IN_PROGRESS", "resource_status_reason": "Stack CREATE started", "physical_resource_id": "1e8271a6-7cd7-435c-b9a2-1928c8db4d33", "id": "46d3bdc7-4ae9-45a4-b7df-8ac5f8dadc77"}, {"resource_name": "1", "event_time": "2017-02-09T22:36:58Z", "links": [{"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Controller-yrz7ktmo63sw/1e8271a6-7cd7-435c-b9a2-1928c8db4d33/resources/1/events/baccc9a9-c6ab-4e19-aea2-4dc4449c86c4", "rel": "self"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Controller-yrz7ktmo63sw/1e8271a6-7cd7-435c-b9a2-1928c8db4d33/resources/1", "rel": "resource"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Controller-yrz7ktmo63sw/1e8271a6-7cd7-435c-b9a2-1928c8db4d33", "rel": "stack"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "root_stack"}], "logical_resource_id": "1", "resource_status": "CREATE_IN_PROGRESS", "resource_status_reason": "state changed", "physical_resource_id": "ospha-Controller-yrz7ktmo63sw-1-6ytxtowrnvoq", "id": "baccc9a9-c6ab-4e19-aea2-4dc4449c86c4"}, {"resource_name": "CephStorage", "event_time": "2017-02-09T22:36:59Z", "links": [{"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/CephStorage/events/b48a9cce-9753-4324-9cdf-98b62eb8c2fd", "rel": "self"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/CephStorage", "rel": "resource"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "stack"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "root_stack"}], "logical_resource_id": "CephStorage", "resource_status": "CREATE_IN_PROGRESS", "resource_status_reason": "state changed", "physical_resource_id": "ospha-CephStorage-nasvharwjikk", "id": "b48a9cce-9753-4324-9cdf-98b62eb8c2fd"}, {"resource_name": "Compute", "event_time": "2017-02-09T22:36:59Z", "links": [{"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/Compute/events/f2c1f98d-f9a4-414d-9657-345f4c4acfc5", "rel": "self"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/Compute", "rel": "resource"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "stack"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "root_stack"}], "logical_resource_id": "Compute", "resource_status": "CREATE_IN_PROGRESS", "resource_status_reason": "state changed", "physical_resource_id": "ospha-Compute-gt5bjyhih35m", "id": "f2c1f98d-f9a4-414d-9657-345f4c4acfc5"}, {"resource_name": "1", "event_time": "2017-02-09T22:37:01Z", "links": [{"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Controller-yrz7ktmo63sw/1e8271a6-7cd7-435c-b9a2-1928c8db4d33/resources/1/events/65c6516f-4f81-43fc-8ecc-0e3bdb75c509", "rel": "self"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Controller-yrz7ktmo63sw/1e8271a6-7cd7-435c-b9a2-1928c8db4d33/resources/1", "rel": "resource"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Controller-yrz7ktmo63sw/1e8271a6-7cd7-435c-b9a2-1928c8db4d33", "rel": "stack"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "root_stack"}], "logical_resource_id": "1", "resource_status": "CREATE_FAILED", "resource_status_reason": "resources[1]: Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned", "physical_resource_id": "ospha-Controller-yrz7ktmo63sw-1-6ytxtowrnvoq", "id": "65c6516f-4f81-43fc-8ecc-0e3bdb75c509"}, {"resource_name": "ospha-Controller-yrz7ktmo63sw", "event_time": "2017-02-09T22:37:01Z", "links": [{"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Controller-yrz7ktmo63sw/1e8271a6-7cd7-435c-b9a2-1928c8db4d33/resources/ospha-Controller-yrz7ktmo63sw/events/94bef2c2-d9f6-41fe-8e9a-68c6e833e894", "rel": "self"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Controller-yrz7ktmo63sw/1e8271a6-7cd7-435c-b9a2-1928c8db4d33/resources/ospha-Controller-yrz7ktmo63sw", "rel": "resource"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Controller-yrz7ktmo63sw/1e8271a6-7cd7-435c-b9a2-1928c8db4d33", "rel": "stack"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "root_stack"}], "logical_resource_id": "ospha-Controller-yrz7ktmo63sw", "resource_status": "CREATE_FAILED", "resource_status_reason": "Resource CREATE failed: resources[1]: Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned", "physical_resource_id": "1e8271a6-7cd7-435c-b9a2-1928c8db4d33", "id": "94bef2c2-d9f6-41fe-8e9a-68c6e833e894"}, {"resource_name": "ObjectStorage", "event_time": "2017-02-09T22:37:02Z", "links": [{"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/ObjectStorage/events/0221be20-3dcb-4174-bf1b-15a6048675b9", "rel": "self"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/ObjectStorage", "rel": "resource"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "stack"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "root_stack"}], "logical_resource_id": "ObjectStorage", "resource_status": "CREATE_IN_PROGRESS", "resource_status_reason": "state changed", "physical_resource_id": "ospha-ObjectStorage-smhpuh7sxrog", "id": "0221be20-3dcb-4174-bf1b-15a6048675b9"}, {"resource_name": "ospha-Compute-gt5bjyhih35m", "event_time": "2017-02-09T22:37:02Z", "links": [{"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Compute-gt5bjyhih35m/7f837a19-90af-4b1d-84f4-dd8590549f47/resources/ospha-Compute-gt5bjyhih35m/events/8d06821d-e19e-4bff-9c93-2cd870a49eb3", "rel": "self"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Compute-gt5bjyhih35m/7f837a19-90af-4b1d-84f4-dd8590549f47/resources/ospha-Compute-gt5bjyhih35m", "rel": "resource"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Compute-gt5bjyhih35m/7f837a19-90af-4b1d-84f4-dd8590549f47", "rel": "stack"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "root_stack"}], "logical_resource_id": "ospha-Compute-gt5bjyhih35m", "resource_status": "CREATE_IN_PROGRESS", "resource_status_reason": "Stack CREATE started", "physical_resource_id": "7f837a19-90af-4b1d-84f4-dd8590549f47", "id": "8d06821d-e19e-4bff-9c93-2cd870a49eb3"}, {"resource_name": "1", "event_time": "2017-02-09T22:37:02Z", "links": [{"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Compute-gt5bjyhih35m/7f837a19-90af-4b1d-84f4-dd8590549f47/resources/1/events/b93f4ffe-71e7-40fa-8881-95e0e4d8a1fc", "rel": "self"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Compute-gt5bjyhih35m/7f837a19-90af-4b1d-84f4-dd8590549f47/resources/1", "rel": "resource"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Compute-gt5bjyhih35m/7f837a19-90af-4b1d-84f4-dd8590549f47", "rel": "stack"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "root_stack"}], "logical_resource_id": "1", "resource_status": "CREATE_IN_PROGRESS", "resource_status_reason": "state changed", "physical_resource_id": "ospha-Compute-gt5bjyhih35m-1-gktwguiqtg4t", "id": "b93f4ffe-71e7-40fa-8881-95e0e4d8a1fc"}, {"resource_name": "BlockStorage", "event_time": "2017-02-09T22:37:02Z", "links": [{"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/BlockStorage/events/f8d4de88-8a66-42c1-97a2-d2cf55030c56", "rel": "self"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/BlockStorage", "rel": "resource"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "stack"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "root_stack"}], "logical_resource_id": "BlockStorage", "resource_status": "CREATE_IN_PROGRESS", "resource_status_reason": "state changed", "physical_resource_id": "ospha-BlockStorage-td74va5zu4v5", "id": "f8d4de88-8a66-42c1-97a2-d2cf55030c56"}, {"resource_name": "CephStorage", "event_time": "2017-02-09T22:37:04Z", "links": [{"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/CephStorage/events/d04921e0-727e-434f-9022-89a4d25aa5c3", "rel": "self"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/CephStorage", "rel": "resource"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "stack"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "root_stack"}], "logical_resource_id": "CephStorage", "resource_status": "CREATE_COMPLETE", "resource_status_reason": "state changed", "physical_resource_id": "c9b369b1-993d-4f8b-b958-48d9f3d168dd", "id": "d04921e0-727e-434f-9022-89a4d25aa5c3"}, {"resource_name": "1", "event_time": "2017-02-09T22:37:04Z", "links": [{"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Compute-gt5bjyhih35m/7f837a19-90af-4b1d-84f4-dd8590549f47/resources/1/events/5a5565d3-304d-4ea0-9709-e079143b13b0", "rel": "self"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Compute-gt5bjyhih35m/7f837a19-90af-4b1d-84f4-dd8590549f47/resources/1", "rel": "resource"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Compute-gt5bjyhih35m/7f837a19-90af-4b1d-84f4-dd8590549f47", "rel": "stack"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "root_stack"}], "logical_resource_id": "1", "resource_status": "CREATE_FAILED", "resource_status_reason": "resources[1]: Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned", "physical_resource_id": "ospha-Compute-gt5bjyhih35m-1-gktwguiqtg4t", "id": "5a5565d3-304d-4ea0-9709-e079143b13b0"}, {"resource_name": "ObjectStorage", "event_time": "2017-02-09T22:37:04Z", "links": [{"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/ObjectStorage/events/7c4bdf4c-2751-496f-b559-564d53c017a1", "rel": "self"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/ObjectStorage", "rel": "resource"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "stack"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "root_stack"}], "logical_resource_id": "ObjectStorage", "resource_status": "CREATE_COMPLETE", "resource_status_reason": "state changed", "physical_resource_id": "261f98c8-6a71-46f6-be56-e4c430b07655", "id": "7c4bdf4c-2751-496f-b559-564d53c017a1"}, {"resource_name": "ospha-Compute-gt5bjyhih35m", "event_time": "2017-02-09T22:37:05Z", "links": [{"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Compute-gt5bjyhih35m/7f837a19-90af-4b1d-84f4-dd8590549f47/resources/ospha-Compute-gt5bjyhih35m/events/9c0cfa5c-dcb8-4b32-a501-4ebc4eae1e81", "rel": "self"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Compute-gt5bjyhih35m/7f837a19-90af-4b1d-84f4-dd8590549f47/resources/ospha-Compute-gt5bjyhih35m", "rel": "resource"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha-Compute-gt5bjyhih35m/7f837a19-90af-4b1d-84f4-dd8590549f47", "rel": "stack"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "root_stack"}], "logical_resource_id": "ospha-Compute-gt5bjyhih35m", "resource_status": "CREATE_FAILED", "resource_status_reason": "Resource CREATE failed: resources[1]: Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned", "physical_resource_id": "7f837a19-90af-4b1d-84f4-dd8590549f47", "id": "9c0cfa5c-dcb8-4b32-a501-4ebc4eae1e81"}, {"resource_name": "Controller", "event_time": "2017-02-09T22:37:05Z", "links": [{"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/Controller/events/69cecb5e-4337-40a4-a3ec-169c1aba9669", "rel": "self"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/Controller", "rel": "resource"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "stack"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "root_stack"}], "logical_resource_id": "Controller", "resource_status": "CREATE_FAILED", "resource_status_reason": "resources[1]: resources.Controller.Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned", "physical_resource_id": "1e8271a6-7cd7-435c-b9a2-1928c8db4d33", "id": "69cecb5e-4337-40a4-a3ec-169c1aba9669"}, {"resource_name": "Compute", "event_time": "2017-02-09T22:37:05Z", "links": [{"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/Compute/events/b8355b1d-e393-426d-97fe-4eb252c7fe6b", "rel": "self"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/Compute", "rel": "resource"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "stack"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "root_stack"}], "logical_resource_id": "Compute", "resource_status": "CREATE_FAILED", "resource_status_reason": "CREATE aborted", "physical_resource_id": "7f837a19-90af-4b1d-84f4-dd8590549f47", "id": "b8355b1d-e393-426d-97fe-4eb252c7fe6b"}, {"resource_name": "BlockStorage", "event_time": "2017-02-09T22:37:05Z", "links": [{"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/BlockStorage/events/2e26189a-e50d-4312-96f8-bd0d91a84a15", "rel": "self"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/BlockStorage", "rel": "resource"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "stack"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "root_stack"}], "logical_resource_id": "BlockStorage", "resource_status": "CREATE_FAILED", "resource_status_reason": "CREATE aborted", "physical_resource_id": "2359714c-7c55-4fb9-a078-1bd716e790e6", "id": "2e26189a-e50d-4312-96f8-bd0d91a84a15"}, {"resource_name": "ospha", "event_time": "2017-02-09T22:37:05Z", "links": [{"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/ospha/events/d6ccd372-2cfb-438e-a93f-6305a1e32063", "rel": "self"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707/resources/ospha", "rel": "resource"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "stack"}, {"href": "https://192.168.9.2:13004/v1/1026199bc3b74d8da46f7ff17611d514/stacks/ospha/b7e9f6fa-5760-4787-9ae6-68d0debd3707", "rel": "root_stack"}], "logical_resource_id": "ospha", "resource_status": "CREATE_FAILED", "resource_status_reason": "Resource CREATE failed: resources[1]: resources.Controller.Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned", "physical_resource_id": "b7e9f6fa-5760-4787-9ae6-68d0debd3707", "id": "d6ccd372-2cfb-438e-a93f-6305a1e32063"}]}

Heat Stack create failed.
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 387, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/osc_lib/command/command.py", line 41, in run
    return super(Command, self).run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/command.py", line 59, in run
    return self.take_action(parsed_args) or 0
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 1183, in take_action
    self._deploy_tripleo_heat_templates_tmpdir(stack, parsed_args)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 403, in _deploy_tripleo_heat_templates_tmpdir
    new_tht_root, tht_root)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 474, in _deploy_tripleo_heat_templates
    parsed_args.timeout, env, parsed_args.update_plan_only)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 484, in _try_overcloud_deploy_with_compat_yaml
    tht_root, env, update_plan_only)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 262, in _heat_deploy
    self.app_args.verbose_level, timeout)
  File "/usr/lib/python2.7/site-packages/tripleoclient/workflows/deployment.py", line 80, in deploy_and_wait
    raise exceptions.DeploymentError("Heat Stack create failed.")
DeploymentError: Heat Stack create failed.
clean_up DeployOvercloud: Heat Stack create failed.
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/osc_lib/shell.py", line 135, in run
    ret_val = super(OpenStackShell, self).run(argv)
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 267, in run
    result = self.run_subcommand(remainder)
  File "/usr/lib/python2.7/site-packages/osc_lib/shell.py", line 180, in run_subcommand
    ret_value = super(OpenStackShell, self).run_subcommand(argv)
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 387, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/osc_lib/command/command.py", line 41, in run
    return super(Command, self).run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/command.py", line 59, in run
    return self.take_action(parsed_args) or 0
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 1183, in take_action
    self._deploy_tripleo_heat_templates_tmpdir(stack, parsed_args)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 403, in _deploy_tripleo_heat_templates_tmpdir
    new_tht_root, tht_root)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 474, in _deploy_tripleo_heat_templates
    parsed_args.timeout, env, parsed_args.update_plan_only)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 484, in _try_overcloud_deploy_with_compat_yaml
    tht_root, env, update_plan_only)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 262, in _heat_deploy
    self.app_args.verbose_level, timeout)
  File "/usr/lib/python2.7/site-packages/tripleoclient/workflows/deployment.py", line 80, in deploy_and_wait
    raise exceptions.DeploymentError("Heat Stack create failed.")
DeploymentError: Heat Stack create failed.

END return value: 1
TE_COMPLETE  state changed
2017-02-09 22:36:32Z [ospha.ControllerServiceChain.ServiceChain.5]: CREATE_COMPLETE  state changed
2017-02-09 22:36:32Z [ospha.ControllerServiceChain.ServiceChain.46]: CREATE_COMPLETE  state changed
2017-02-09 22:36:32Z [ospha.ControllerServiceChain.ServiceChain.38]: CREATE_COMPLETE  state changed
2017-02-09 22:36:32Z [ospha.ControllerServiceChain.ServiceChain.6]: CREATE_COMPLETE  state changed
2017-02-09 22:36:32Z [ospha.ControllerServiceChain.ServiceChain.47]: CREATE_COMPLETE  state changed
2017-02-09 22:36:32Z [ospha.ControllerServiceChain.ServiceChain.30]: CREATE_COMPLETE  state changed
2017-02-09 22:36:32Z [ospha.ControllerServiceChain.ServiceChain.45]: CREATE_COMPLETE  state changed
2017-02-09 22:36:32Z [ospha.ControllerServiceChain.ServiceChain.23]: CREATE_COMPLETE  state changed
2017-02-09 22:36:32Z [ospha.ControllerServiceChain.ServiceChain.10]: CREATE_COMPLETE  state changed
2017-02-09 22:36:34Z [ospha.ControllerServiceChain.ServiceChain.16]: CREATE_COMPLETE  state changed
2017-02-09 22:36:34Z [ospha.ControllerServiceChain.ServiceChain]: CREATE_COMPLETE  Stack CREATE completed successfully
2017-02-09 22:36:34Z [ospha.ControllerServiceChain.ServiceChain]: CREATE_COMPLETE  state changed
2017-02-09 22:36:34Z [ospha.ControllerServiceChain]: CREATE_COMPLETE  Stack CREATE completed successfully
2017-02-09 22:36:35Z [ospha.ControllerServiceChain]: CREATE_COMPLETE  state changed
2017-02-09 22:36:55Z [ospha.Controller]: CREATE_IN_PROGRESS  state changed
2017-02-09 22:36:58Z [ospha.Controller]: CREATE_IN_PROGRESS  Stack CREATE started
2017-02-09 22:36:58Z [ospha.Controller.1]: CREATE_IN_PROGRESS  state changed
2017-02-09 22:36:59Z [ospha.CephStorage]: CREATE_IN_PROGRESS  state changed
2017-02-09 22:36:59Z [ospha.Compute]: CREATE_IN_PROGRESS  state changed
2017-02-09 22:37:01Z [ospha.Controller.1]: CREATE_FAILED  resources[1]: Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned
2017-02-09 22:37:01Z [ospha.Controller]: CREATE_FAILED  Resource CREATE failed: resources[1]: Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned
2017-02-09 22:37:02Z [ospha.ObjectStorage]: CREATE_IN_PROGRESS  state changed
2017-02-09 22:37:02Z [ospha.Compute]: CREATE_IN_PROGRESS  Stack CREATE started
2017-02-09 22:37:02Z [ospha.Compute.1]: CREATE_IN_PROGRESS  state changed
2017-02-09 22:37:02Z [ospha.BlockStorage]: CREATE_IN_PROGRESS  state changed
2017-02-09 22:37:04Z [ospha.CephStorage]: CREATE_COMPLETE  state changed
2017-02-09 22:37:04Z [ospha.Compute.1]: CREATE_FAILED  resources[1]: Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned
2017-02-09 22:37:04Z [ospha.ObjectStorage]: CREATE_COMPLETE  state changed
2017-02-09 22:37:05Z [ospha.Compute]: CREATE_FAILED  Resource CREATE failed: resources[1]: Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned
2017-02-09 22:37:05Z [ospha.Controller]: CREATE_FAILED  resources[1]: resources.Controller.Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned
2017-02-09 22:37:05Z [ospha.Compute]: CREATE_FAILED  CREATE aborted
2017-02-09 22:37:05Z [ospha.BlockStorage]: CREATE_FAILED  CREATE aborted
2017-02-09 22:37:05Z [ospha]: CREATE_FAILED  Resource CREATE failed: resources[1]: resources.Controller.Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned

 Stack ospha CREATE_FAILED 













Version-Release number of selected component (if applicable):


[stack@ospha-inst ~]$ yum list installed  | grep -A1 -e '^openstack\|tripleo'
Repo rhel-7-server-satellite-tools-6.2-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/3140726924880959352-key.pem
Repo rhel-7-server-openstack-10-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/371892799624305034-key.pem
Repo rhel-7-server-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/3140726924880959352-key.pem
Repo rhel-ha-for-rhel-7-server-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/371892799624305034-key.pem
Repo rhel-7-server-rhceph-2-tools-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/3140726924880959352-key.pem
Repo rhel-7-server-extras-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/3140726924880959352-key.pem
Repo rhel-7-fast-datapath-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/3140726924880959352-key.pem
Repo rhel-7-server-openstack-10-devtools-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/371892799624305034-key.pem
Repo rhel-7-server-openstack-10-optools-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/371892799624305034-key.pem
Repo rhel-7-server-rh-common-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/3140726924880959352-key.pem
openstack-aodh-api.noarch    3.0.1-5.el7ost     @rhel-7-server-openstack-10-rpms
openstack-aodh-common.noarch 3.0.1-5.el7ost     @rhel-7-server-openstack-10-rpms
openstack-aodh-evaluator.noarch
                             3.0.1-5.el7ost     @rhel-7-server-openstack-10-rpms
openstack-aodh-listener.noarch
                             3.0.1-5.el7ost     @rhel-7-server-openstack-10-rpms
openstack-aodh-notifier.noarch
                             3.0.1-5.el7ost     @rhel-7-server-openstack-10-rpms
openstack-ceilometer-api.noarch
                             1:7.0.1-1.el7ost   @rhel-7-server-openstack-10-rpms
openstack-ceilometer-central.noarch
                             1:7.0.1-1.el7ost   @rhel-7-server-openstack-10-rpms
openstack-ceilometer-collector.noarch
                             1:7.0.1-1.el7ost   @rhel-7-server-openstack-10-rpms
openstack-ceilometer-common.noarch
                             1:7.0.1-1.el7ost   @rhel-7-server-openstack-10-rpms
openstack-ceilometer-notification.noarch
                             1:7.0.1-1.el7ost   @rhel-7-server-openstack-10-rpms
openstack-ceilometer-polling.noarch
                             1:7.0.1-1.el7ost   @rhel-7-server-openstack-10-rpms
openstack-glance.noarch      1:13.0.0-1.el7ost  @rhel-7-server-openstack-10-rpms
openstack-heat-api.noarch    1:7.0.1-2.el7ost   @rhel-7-server-openstack-10-rpms
openstack-heat-api-cfn.noarch
                             1:7.0.1-2.el7ost   @rhel-7-server-openstack-10-rpms
openstack-heat-common.noarch 1:7.0.1-2.el7ost   @rhel-7-server-openstack-10-rpms
openstack-heat-engine.noarch 1:7.0.1-2.el7ost   @rhel-7-server-openstack-10-rpms
openstack-heat-templates.noarch
                             0-0.10.1e6015dgit.el7ost
--
openstack-ironic-api.noarch  1:6.2.2-3.el7ost   @rhel-7-server-openstack-10-rpms
openstack-ironic-common.noarch
                             1:6.2.2-3.el7ost   @rhel-7-server-openstack-10-rpms
openstack-ironic-conductor.noarch
                             1:6.2.2-3.el7ost   @rhel-7-server-openstack-10-rpms
openstack-ironic-inspector.noarch
                             4.2.1-2.el7ost     @rhel-7-server-openstack-10-rpms
openstack-keystone.noarch    1:10.0.0-4.el7ost  @rhel-7-server-openstack-10-rpms
openstack-mistral-api.noarch 3.0.2-9.el7ost     @rhel-7-server-openstack-10-rpms
openstack-mistral-common.noarch
                             3.0.2-9.el7ost     @rhel-7-server-openstack-10-rpms
openstack-mistral-engine.noarch
                             3.0.2-9.el7ost     @rhel-7-server-openstack-10-rpms
openstack-mistral-executor.noarch
                             3.0.2-9.el7ost     @rhel-7-server-openstack-10-rpms
openstack-neutron.noarch     1:9.1.1-2.el7ost   @rhel-7-server-openstack-10-rpms
openstack-neutron-common.noarch
                             1:9.1.1-2.el7ost   @rhel-7-server-openstack-10-rpms
openstack-neutron-ml2.noarch 1:9.1.1-2.el7ost   @rhel-7-server-openstack-10-rpms
openstack-neutron-openvswitch.noarch
                             1:9.1.1-2.el7ost   @rhel-7-server-openstack-10-rpms
openstack-nova-api.noarch    1:14.0.2-7.el7ost  @rhel-7-server-openstack-10-rpms
openstack-nova-cert.noarch   1:14.0.2-7.el7ost  @rhel-7-server-openstack-10-rpms
openstack-nova-common.noarch 1:14.0.2-7.el7ost  @rhel-7-server-openstack-10-rpms
openstack-nova-compute.noarch
                             1:14.0.2-7.el7ost  @rhel-7-server-openstack-10-rpms
openstack-nova-conductor.noarch
                             1:14.0.2-7.el7ost  @rhel-7-server-openstack-10-rpms
openstack-nova-scheduler.noarch
                             1:14.0.2-7.el7ost  @rhel-7-server-openstack-10-rpms
openstack-puppet-modules.noarch
                             1:9.3.0-1.el7ost   @rhel-7-server-openstack-10-rpms
openstack-selinux.noarch     0.7.13-3.el7ost    @rhel-7-server-openstack-10-rpms
openstack-swift-account.noarch
                             2.10.1-1.el7ost    @rhel-7-server-openstack-10-rpms
openstack-swift-container.noarch
                             2.10.1-1.el7ost    @rhel-7-server-openstack-10-rpms
openstack-swift-object.noarch
                             2.10.1-1.el7ost    @rhel-7-server-openstack-10-rpms
openstack-swift-proxy.noarch 2.10.1-1.el7ost    @rhel-7-server-openstack-10-rpms
openstack-tempest.noarch     1:13.0.0-9.bafe630git.el7ost
                                                @rhel-7-server-openstack-10-rpms
openstack-tripleo.noarch     0.0.8-0.2.4de13b3git.el7ost
                                                @rhel-7-server-openstack-10-rpms
openstack-tripleo-common.noarch
                             5.4.1-1.el7ost     @rhel-7-server-openstack-10-rpms
openstack-tripleo-heat-templates.noarch
                             5.2.0-3.el7ost     @rhel-7-server-openstack-10-rpms
openstack-tripleo-image-elements.noarch
                             5.2.0-1.el7ost     @rhel-7-server-openstack-10-rpms
openstack-tripleo-puppet-elements.noarch
                             5.2.0-2.el7ost     @rhel-7-server-openstack-10-rpms
openstack-tripleo-ui.noarch  1.1.0-1.el7ost     @rhel-7-server-openstack-10-rpms
openstack-tripleo-validations.noarch
                             5.1.1-1.el7ost     @rhel-7-server-openstack-10-rpms
openstack-utils.noarch       2016.1-1.el7ost    @rhel-7-server-openstack-10-devtools-rpms
openstack-zaqar.noarch       1:3.0.0-3.el7ost   @rhel-7-server-openstack-10-rpms
openvswitch.x86_64           2.5.0-22.git20160727.el7fdp
--
puppet-tripleo.noarch        5.5.0-2.el7ost     @rhel-7-server-openstack-10-rpms
puppet-trove.noarch          9.4.0-1.el7ost     @rhel-7-server-openstack-10-rpms
--
python-tripleoclient.noarch  5.4.1-1.el7ost     @rhel-7-server-openstack-10-rpms
python-trollius.noarch       2.0-1.el7ost       @rhel-7-server-openstack-10-rpms
[stack@ospha-inst ~]$


How reproducible:

So far, each time I attempt

Steps to Reproduce:
1. 
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Steve Reichard 2017-02-15 23:03:56 UTC
Just attempted to use the openstack overcloud deploy command line options with similar results:

openstack overcloud deploy \$
--templates \$
--environment-directory /home/stack/mytemplates/env \$
--stack rhosp \$
--debug \$
--log-file overcloudDeploy.log \$
--ceph-storage-flavor ceph-storage \$
--ceph-storage-scale 0 \$
--control-flavor control \$
--control-scale 3 \$
--compute-flavor compute \$
--compute-scale 2 \$
--block-storage-scale 0 \$
--swift-storage-scale 0 \$
--rhel-reg --reg-method satellite \$
--reg-org "Systems_Engineering" \$
--reg-sat-url http://se-sat6.cloud.lab.eng.bos.redhat.com \$
--reg-activation-key se-rhel7-osp10 \$
--ntp-server 10.16.255.1$



...
"GET /v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a/events?marker=fa15e023-4313-44f0-a91b-db8f77f8add4&nested_depth=2&sort_dir=asc HTTP/1.1" 200 6106
RESP: [200] Content-Type: application/json; charset=UTF-8 Content-Length: 6106 X-Openstack-Request-Id: req-888907da-aa61-4366-bef5-fb87e1ddbe70 Date: Wed, 15 Feb 2017 22:54:21 GMT 
RESP BODY: {"events": [{"resource_name": "Controller", "event_time": "2017-02-15T22:54:16Z", "links": [{"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a/resources/Controller/events/a45299fd-16ce-4a12-ad35-9921b7d337e9", "rel": "self"}, {"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a/resources/Controller", "rel": "resource"}, {"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a", "rel": "stack"}, {"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a", "rel": "root_stack"}], "logical_resource_id": "Controller", "resource_status": "CREATE_FAILED", "resource_status_reason": "resources[1]: resources.Controller.Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned", "physical_resource_id": "32db9554-0ba0-49ef-a654-cdf75582ced1", "id": "a45299fd-16ce-4a12-ad35-9921b7d337e9"}, {"resource_name": "ObjectStorage", "event_time": "2017-02-15T22:54:16Z", "links": [{"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a/resources/ObjectStorage/events/8cc79dc0-30b3-4025-9e73-6e7085b95aff", "rel": "self"}, {"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a/resources/ObjectStorage", "rel": "resource"}, {"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a", "rel": "stack"}, {"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a", "rel": "root_stack"}], "logical_resource_id": "ObjectStorage", "resource_status": "CREATE_FAILED", "resource_status_reason": "CREATE aborted", "physical_resource_id": "6dd74e3c-7e85-4332-bd7d-d58acdc903d2", "id": "8cc79dc0-30b3-4025-9e73-6e7085b95aff"}, {"resource_name": "Compute", "event_time": "2017-02-15T22:54:16Z", "links": [{"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a/resources/Compute/events/0bea06a6-29b5-4492-a5b2-7a137d9c97cf", "rel": "self"}, {"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a/resources/Compute", "rel": "resource"}, {"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a", "rel": "stack"}, {"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a", "rel": "root_stack"}], "logical_resource_id": "Compute", "resource_status": "CREATE_FAILED", "resource_status_reason": "CREATE aborted", "physical_resource_id": "ed80d96f-ddac-45d6-b4a5-a51151774e2e", "id": "0bea06a6-29b5-4492-a5b2-7a137d9c97cf"}, {"resource_name": "BlockStorage", "event_time": "2017-02-15T22:54:16Z", "links": [{"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a/resources/BlockStorage/events/8e8a68f8-bf8b-43da-8223-9ee4599613d8", "rel": "self"}, {"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a/resources/BlockStorage", "rel": "resource"}, {"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a", "rel": "stack"}, {"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a", "rel": "root_stack"}], "logical_resource_id": "BlockStorage", "resource_status": "CREATE_FAILED", "resource_status_reason": "CREATE aborted", "physical_resource_id": "c5599ff6-a5ee-4742-9400-8f3e2b7d3f63", "id": "8e8a68f8-bf8b-43da-8223-9ee4599613d8"}, {"resource_name": "CephStorage", "event_time": "2017-02-15T22:54:16Z", "links": [{"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a/resources/CephStorage/events/887b1663-f321-470c-91d5-be98397b3e9f", "rel": "self"}, {"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a/resources/CephStorage", "rel": "resource"}, {"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a", "rel": "stack"}, {"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a", "rel": "root_stack"}], "logical_resource_id": "CephStorage", "resource_status": "CREATE_FAILED", "resource_status_reason": "CREATE aborted", "physical_resource_id": "ec3f4dce-63fc-4085-a6bd-4652d2973659", "id": "887b1663-f321-470c-91d5-be98397b3e9f"}, {"resource_name": "rhosp", "event_time": "2017-02-15T22:54:16Z", "links": [{"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a/resources/rhosp/events/5b25e8c6-6951-4385-a646-cf9d079d64df", "rel": "self"}, {"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a/resources/rhosp", "rel": "resource"}, {"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a", "rel": "stack"}, {"href": "https://192.168.213.2:13004/v1/49be6a4fac3b4a95b3a786a9e2cc6e86/stacks/rhosp/033362e4-73ab-4670-b862-3e19e73a3f9a", "rel": "root_stack"}], "logical_resource_id": "rhosp", "resource_status": "CREATE_FAILED", "resource_status_reason": "Resource CREATE failed: resources[1]: resources.Controller.Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned", "physical_resource_id": "033362e4-73ab-4670-b862-3e19e73a3f9a", "id": "5b25e8c6-6951-4385-a646-cf9d079d64df"}]}

Heat Stack create failed.
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 387, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/osc_lib/command/command.py", line 41, in run
    return super(Command, self).run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/command.py", line 59, in run
    return self.take_action(parsed_args) or 0
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 1183, in take_action
    self._deploy_tripleo_heat_templates_tmpdir(stack, parsed_args)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 403, in _deploy_tripleo_heat_templates_tmpdir
    new_tht_root, tht_root)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 474, in _deploy_tripleo_heat_templates
    parsed_args.timeout, env, parsed_args.update_plan_only)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 484, in _try_overcloud_deploy_with_compat_yaml
    tht_root, env, update_plan_only)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 262, in _heat_deploy
    self.app_args.verbose_level, timeout)
  File "/usr/lib/python2.7/site-packages/tripleoclient/workflows/deployment.py", line 80, in deploy_and_wait
    raise exceptions.DeploymentError("Heat Stack create failed.")
DeploymentError: Heat Stack create failed.
clean_up DeployOvercloud: Heat Stack create failed.
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/osc_lib/shell.py", line 135, in run
    ret_val = super(OpenStackShell, self).run(argv)
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 267, in run
    result = self.run_subcommand(remainder)
  File "/usr/lib/python2.7/site-packages/osc_lib/shell.py", line 180, in run_subcommand
    ret_value = super(OpenStackShell, self).run_subcommand(argv)
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 387, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/osc_lib/command/command.py", line 41, in run
    return super(Command, self).run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/command.py", line 59, in run
    return self.take_action(parsed_args) or 0
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 1183, in take_action
    self._deploy_tripleo_heat_templates_tmpdir(stack, parsed_args)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 403, in _deploy_tripleo_heat_templates_tmpdir
    new_tht_root, tht_root)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 474, in _deploy_tripleo_heat_templates
    parsed_args.timeout, env, parsed_args.update_plan_only)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 484, in _try_overcloud_deploy_with_compat_yaml
    tht_root, env, update_plan_only)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 262, in _heat_deploy
    self.app_args.verbose_level, timeout)
  File "/usr/lib/python2.7/site-packages/tripleoclient/workflows/deployment.py", line 80, in deploy_and_wait
    raise exceptions.DeploymentError("Heat Stack create failed.")
DeploymentError: Heat Stack create failed.

END return value: 1
-02-15 22:54:14Z [rhosp.Controller]: CREATE_FAILED  Resource CREATE failed: resources[1]: Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned
2017-02-15 22:54:14Z [rhosp.ObjectStorage]: CREATE_IN_PROGRESS  state changed
2017-02-15 22:54:14Z [rhosp.Compute]: CREATE_IN_PROGRESS  Stack CREATE started
2017-02-15 22:54:14Z [rhosp.Compute.1]: CREATE_IN_PROGRESS  state changed
2017-02-15 22:54:14Z [rhosp.BlockStorage]: CREATE_IN_PROGRESS  state changed
2017-02-15 22:54:15Z [rhosp.Compute.1]: CREATE_FAILED  resources[1]: Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned
2017-02-15 22:54:15Z [rhosp.Compute]: CREATE_FAILED  Resource CREATE failed: resources[1]: Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned
2017-02-15 22:54:16Z [rhosp.Controller]: CREATE_FAILED  resources[1]: resources.Controller.Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned
2017-02-15 22:54:16Z [rhosp.ObjectStorage]: CREATE_FAILED  CREATE aborted
2017-02-15 22:54:16Z [rhosp.Compute]: CREATE_FAILED  CREATE aborted
2017-02-15 22:54:16Z [rhosp.BlockStorage]: CREATE_FAILED  CREATE aborted
2017-02-15 22:54:16Z [rhosp.CephStorage]: CREATE_FAILED  CREATE aborted
2017-02-15 22:54:16Z [rhosp]: CREATE_FAILED  Resource CREATE failed: resources[1]: resources.Controller.Property error: resources.NodeExtraConfig.properties: Property rhel_reg_auto_attach not assigned

 Stack rhosp CREATE_FAILED

Comment 2 David Critch 2017-02-17 15:25:05 UTC
I've been testing this out too and have gotten a little further, but there are issues.

Here's my env:
parameter_defaults:
  rhel_reg_activation_key: "OSP10KEY"
  rhel_reg_auto_attach: ""
  rhel_reg_base_url: ""
  rhel_reg_environment: ""
  rhel_reg_force: "true"
  rhel_reg_machine_name: ""
  rhel_reg_org: "ORG"
  rhel_reg_password: ""
  rhel_reg_pool_id: ""
  rhel_reg_release: ""
  rhel_reg_repos: ""
  rhel_reg_sat_url: "http://<SATURL>"
  rhel_reg_server_url: ""
  rhel_reg_service_level: ""
  rhel_reg_user: ""
  rhel_reg_type: ""
  rhel_reg_method: "satellite"
  rhel_reg_sat_repo: "rhel-7-server-satellite-tools-6.2-rpms"

I found if I commented things out, it failed with the same error Steve saw, e.g. rhel_reg_auto_attach. Setting it to 'false' resulted in an error about not having auto_attach set to true in conjunction with an activation key. So it seems like anything other than an empty string evaluates as true?

With this env file, nodes attempted to register, but they all seem to try and register as 'localhost.' This causes some nodes to fail due to a locked task in Satellite to register the duplicate 'localhost's. A couple of others will get in, but when the last node registers as localhost, it 'wins' and is the only node left registered.

Stack create failure:
============
2017-02-17 15:08:05Z [ospte.Controller.2.ControllerExtraConfigPre]: CREATE_IN_PROGRESS  state changed
2017-02-17 15:08:07Z [ospte.Controller.2.ControllerExtraConfigPre]: CREATE_COMPLETE  state changed
2017-02-17 15:08:07Z [ospte.Controller.2.NodeExtraConfig]: CREATE_IN_PROGRESS  state changed
2017-02-17 15:08:16Z [ospte.Compute.1.NodeExtraConfig]: CREATE_FAILED  Error: resources.NodeExtraConfig.resources.RHELRegistrationDeployment: Deployment to server failed: deploy_status_code: Deployment exited with non-zero status code: 70
2017-02-17 15:08:16Z [ospte.Compute.1]: CREATE_FAILED  Resource CREATE failed: Error: resources.NodeExtraConfig.resources.RHELRegistrationDeployment: Deployment to server failed: deploy_status_code: Deployment exited with non-zero status code: 70
2017-02-17 15:08:17Z [ospte.Compute.1]: CREATE_FAILED  Error: resources[1].resources.NodeExtraConfig.resources.RHELRegistrationDeployment: Deployment to server failed: deploy_status_code: Deployment exited with non-zero status code: 70
2017-02-17 15:08:17Z [ospte.Compute.0]: CREATE_FAILED  CREATE aborted
2017-02-17 15:08:17Z [ospte.Compute]: CREATE_FAILED  Resource CREATE failed: Error: resources[1].resources.NodeExtraConfig.resources.RHELRegistrationDeployment: Deployment to server failed: deploy_status_code: Deployment exited with non-zero status code: 70
2017-02-17 15:08:18Z [ospte.Compute]: CREATE_FAILED  Error: resources.Compute.resources[1].resources.NodeExtraConfig.resources.RHELRegistrationDeployment: Deployment to server failed: deploy_status_code: Deployment exited with non-zero status code: 70
2017-02-17 15:08:18Z [ospte.Compute.0.NodeExtraConfig]: CREATE_FAILED  CREATE aborted
2017-02-17 15:08:19Z [ospte.Compute.0]: CREATE_FAILED  Resource CREATE failed: Operation cancelled
2017-02-17 15:08:19Z [ospte.Controller]: CREATE_FAILED  CREATE aborted
2017-02-17 15:08:19Z [ospte.CephStorage]: CREATE_FAILED  CREATE aborted
2017-02-17 15:08:19Z [ospte]: CREATE_FAILED  Resource CREATE failed: Error: resources.Compute.resources[1].resources.NodeExtraConfig.resources.RHELRegistrationDeployment: Deployment to server failed: deploy_status_code: Deployment exited with non-zero status code: 70
2017-02-17 15:08:19Z [ospte.CephStorage.0.NodeExtraConfig]: CREATE_FAILED  Error: resources.NodeExtraConfig.resources.RHELRegistrationDeployment: Deployment to server failed: deploy_status_code: Deployment exited with non-zero status code: 69
2017-02-17 15:08:19Z [ospte.CephStorage.0]: CREATE_FAILED  Resource CREATE failed: Error: resources.NodeExtraConfig.resources.RHELRegistrationDeployment: Deployment to server failed: deploy_status_code: Deployment exited with non-zero status code: 69
2017-02-17 15:08:19Z [ospte.CephStorage.0]: CREATE_FAILED  CREATE aborted
2017-02-17 15:08:20Z [ospte.CephStorage]: CREATE_FAILED  Resource CREATE failed: Operation cancelled
2017-02-17 15:08:20Z [ospte.Controller.1]: CREATE_FAILED  CREATE aborted
2017-02-17 15:08:20Z [ospte.Controller.0]: CREATE_FAILED  CREATE aborted
2017-02-17 15:08:20Z [ospte.Controller.1.NodeExtraConfig]: CREATE_FAILED  CREATE aborted
2017-02-17 15:08:20Z [ospte.Controller.1]: CREATE_FAILED  Resource CREATE failed: Operation cancelled
2017-02-17 15:08:20Z [ospte.Controller.2]: CREATE_FAILED  CREATE aborted
2017-02-17 15:08:20Z [ospte.Controller]: CREATE_FAILED  Resource CREATE failed: Operation cancelled
2017-02-17 15:08:20Z [ospte.Controller.0.NodeExtraConfig]: CREATE_FAILED  CREATE aborted
2017-02-17 15:08:20Z [ospte.Controller.0]: CREATE_FAILED  Resource CREATE failed: Operation cancelled
2017-02-17 15:08:21Z [ospte.Controller.2.NodeExtraConfig]: CREATE_FAILED  CREATE aborted
2017-02-17 15:08:21Z [ospte.Controller.2]: CREATE_FAILED  Resource CREATE failed: Operation cancelled

 Stack ospte CREATE_FAILED 

Heat Stack create failed.
============

Here's the locks popping up:

============
$ run-on-overcloud "hostname; sudo grep 'Required lock is already' /var/log/messages"
ospte-cephstorage-0.localdomain
ospte-cmpt0.localdomain
ospte-cmpt1.localdomain
Feb 17 10:08:11 host-192-168-211-211 os-collect-config: [2017-02-17 10:08:11,228] (heat-config) [INFO] {"deploy_stdout": "HTTP/1.1 200 OK\r\nStatus: 200 OK\r\nSatellite 6 detected at http://se-sat6.cloud.lab.eng.bos.redhat.com\nPreparing...                          ########################################\nUpdating / installing...\nkatello-ca-consumer-se-sat6.cloud.lab.########################################\n", "deploy_stderr": "  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current\n                                 Dload  Upload   Total   Spent    Left  Speed\n\r  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0\r100  6768  100  6768    0     0   104k      0 --:--:-- --:--:-- --:--:--  104k\nRequired lock is already taken by other running tasks.\nPlease inspect their state, fix their errors and resume them.\n\nRequired lock: read\nConflicts with tasks:\n- https://se-sat6.cloud.lab.eng.bos.redhat.com/foreman_tasks/tasks/32badf15-a75c-4918-8542-318116ef1cf4\n", "deploy_status_code": 70}
Feb 17 10:08:11 host-192-168-211-211 os-collect-config: Required lock is already taken by other running tasks.
ospte-ctrl0.localdomain
ospte-ctrl1.localdomain
ospte-ctrl2.localdomain
Feb 17 10:09:23 host-192-168-211-205 os-collect-config: [2017-02-17 10:09:23,147] (heat-config) [INFO] {"deploy_stdout": "HTTP/1.1 200 OK\r\nStatus: 200 OK\r\nSatellite 6 detected at http://se-sat6.cloud.lab.eng.bos.redhat.com\nPreparing...                          ########################################\nUpdating / installing...\nkatello-ca-consumer-se-sat6.cloud.lab.########################################\n", "deploy_stderr": "  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current\n                                 Dload  Upload   Total   Spent    Left  Speed\n\r  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0\r100  6768  100  6768    0     0   106k      0 --:--:-- --:--:-- --:--:--  106k\nRequired lock is already taken by other running tasks.\nPlease inspect their state, fix their errors and resume them.\n\nRequired lock: read\nConflicts with tasks:\n- https://se-sat6.cloud.lab.eng.bos.redhat.com/foreman_tasks/tasks/d374b9a6-7b5f-4a67-8e9a-3c031c43d971\n", "deploy_status_code": 70}
Feb 17 10:09:23 host-192-168-211-205 os-collect-config: Required lock is already taken by other running tasks.
============



And the end state with just one node registered:


============
$ run-on-overcloud "hostname; sudo subscription-manager status"
ospte-cephstorage-0.localdomain
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Unknown

ospte-cmpt0.localdomain
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Unknown

ospte-cmpt1.localdomain
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Unknown

ospte-ctrl0.localdomain
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Unknown

ospte-ctrl1.localdomain
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Current

ospte-ctrl2.localdomain
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Unknown

============


I'm going to try and see if I can map rhel_reg_machine_name to the actual hostname and whether that helps.

Comment 3 David Critch 2017-02-17 19:47:12 UTC
On further investigation, this might be an issue w/ Satellite. I re-ran my deployment pointing to a different, slightly older version of Satellite and the nodes all registered fine.

Working Satellite is v6.2.2. The one w/ errors is 6.2.7.

Comment 4 David Critch 2017-03-02 15:11:35 UTC
I updated the working Satellite from v6.2.2 to 6.2.7 and the problem has appeared there as well. All nodes try and register as 'localhost' leading to blocked tasks and only one node registered at the end.

Attaching output of foreman-tail during the time of failure. There is a lot in there, but the 10.19.139.* hosts are the overcloud nodes trying to register.

Comment 6 David Critch 2017-03-07 18:42:17 UTC
I updated to Satellite 6.2.8 released this week and the problem persists.

Digging deeper, I found the following BZ and related foreman bug:
https://bugzilla.redhat.com/show_bug.cgi?id=1129463
http://projects.theforeman.org/issues/7384

I was able to workaround it by creating a host entry in /etc/hosts in the rhel-registration script, prior to the registration and it works.

Not sure why this is only an issue on the newer versions of Satellite.

Later in the OSP deployment, /etc/hosts gets populated with all the overcloud entries, but it does not happen earlier enough to fix this issue.

Should we pursue this from the Satellite side, or tweak the rhel-registration script to permanently work around it?

Comment 7 Alex Schultz 2017-03-24 22:53:04 UTC
I think this might have been an issue with the documentation that was updated as part of BZ#1433421.  Can you check to see if that fixes your problem?

Comment 8 Steve Reichard 2017-04-04 20:34:26 UTC
If you look at the updates by David, in Comment #2 he provided the other parameteres and still had an error, but it corresponds with a Sat6 update.

In comment #6 he identify the BZ and a workaround.

I will set up to retest just using the full set of parameters.

Comment 9 Steve Reichard 2017-04-06 13:33:25 UTC
Stand corrected,   Redeployed and all 5 overcloud nodes were registered

Comment 10 Steve Reichard 2017-04-06 13:35:09 UTC
closing - updated doc and retry worked for me.

Comment 11 David Juran 2017-04-11 14:42:54 UTC
But shouldn't https://github.com/openstack/tripleo-heat-templates/blob/stable/newton/extraconfig/pre_deploy/rhel-registration/environment-rhel-registration.yaml take care of setting reasonable (empty) defaults for all needed parameters?
If some are missing, I feel we should add them. Or why not just set default values on the parameters in the first place?

Comment 12 Alex Schultz 2017-04-11 16:44:48 UTC
The issue was previously the example file didn't have all the proper variables defined. Unfortunately from a product perspective we can't fill in any of those details because they are customer specific. I think we could improve the documentation within the file itself to ensure that if people are looking at that, they know which ones should be filled out.

Comment 13 David Juran 2017-04-26 15:41:38 UTC
Empty strings are perfectly good defaults. 

I mean, there is no reason why every end user should need to specify empty values for e.g. all parameters related to Satellite 5 if he is using satellite 6. So in my opinion, we should provide empty values for all defaults.

Comment 14 David Gurtner 2017-05-30 20:47:33 UTC
(In reply to David Critch from comment #6)
> I updated to Satellite 6.2.8 released this week and the problem persists.
> 
> Digging deeper, I found the following BZ and related foreman bug:
> https://bugzilla.redhat.com/show_bug.cgi?id=1129463
> http://projects.theforeman.org/issues/7384
> 
> I was able to workaround it by creating a host entry in /etc/hosts in the
> rhel-registration script, prior to the registration and it works.
> 
> Not sure why this is only an issue on the newer versions of Satellite.
> 
> Later in the OSP deployment, /etc/hosts gets populated with all the
> overcloud entries, but it does not happen earlier enough to fix this issue.
> 
> Should we pursue this from the Satellite side, or tweak the
> rhel-registration script to permanently work around it?

David,

I'm facing the same issue and came to the same conclusion of updating /etc/hosts, but the issue persists. Can you share your working approach to updating /etc/hosts?

Thanks!

Comment 15 David Critch 2017-07-10 19:39:14 UTC
Hi David,

I gave this another whirl last week and was successful. I did not mess w/ /etc/hosts this time. The issue for me seemed to the domain name. Satellite maybe doesn't like the .localdomain?

I set the overcloud domain name to match what is configured in Satellite and everything is working w/o any modifications to the script. I followed the steps listed here to set the domain name: https://access.redhat.com/solutions/786153

Hope that helps!

Comment 16 David Gurtner 2017-07-11 13:19:51 UTC
(In reply to David Critch from comment #15)
> Hi David,
> 
> I gave this another whirl last week and was successful. I did not mess w/
> /etc/hosts this time. The issue for me seemed to the domain name. Satellite
> maybe doesn't like the .localdomain?
> 
> I set the overcloud domain name to match what is configured in Satellite and
> everything is working w/o any modifications to the script. I followed the
> steps listed here to set the domain name:
> https://access.redhat.com/solutions/786153
> 
> Hope that helps!

Thanks for your reply!

The issue I was facing was that the nodes would show up in Satellite as localhost.localdomain, independent of the actual hostnames. This lead to an issue where all nodes registered under the same name, so I would only get a single entry in Satellite and the registration would thus fail.

I since managed to overwrite /etc/hosts, so I'm fine for now, but the bug is on Satellite side and not in OpenStack as far as my case is concerned.

Comment 17 David Critch 2017-07-11 13:46:41 UTC
Yup, that is the exact same thing I saw... all trying to register as localhost.localdomain and stomping on each other trying to get to Satellite.

Once I set a domain name, they started to register fine under their FQDN w/ nothing local* at all anymore.... its weird.

Comment 18 Alex Schultz 2018-07-23 14:50:22 UTC
We have reworked the subscription process to leverage a new ansible role in the next release.  Feel free to reopen if it still occurs in the next OSP release when using the new configurations.


Note You need to log in before you can comment on or make changes to this bug.